Bug 8183 - acqui/parcels.pl plack scoping
Summary: acqui/parcels.pl plack scoping
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Dobrica Pavlinusic
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-01 18:36 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8183 - acqui/parcels.pl plack scoping (1.06 KB, patch)
2012-06-01 19:11 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8183 - acqui/parcels.pl plack scoping (1.11 KB, patch)
2012-06-14 07:37 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-06-01 18:36:25 UTC
Can't call method "param" on an undefined value at /srv/koha_ffzg/acqui/parcels.pl line 177.
Comment 1 Dobrica Pavlinusic 2012-06-01 19:11:56 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-06-11 11:19:51 UTC
Hmm, I can't recreate this bug I'm afraid
Comment 3 Dobrica Pavlinusic 2012-06-11 13:50:57 UTC
This bug seems to be specific to bookseller=2 on our system and doesn't appear for others, so I will have to investigate a bit more why is that so.
Comment 4 Dobrica Pavlinusic 2012-06-11 14:13:19 UTC
I got this one nailed down: you need to have more than 20 items pending for acquisition (or whatever number you pass in in ?resultsperpage=xx param) so that sub set_page_navigation gets called because error appears in it.
Comment 5 Julian Maurice 2012-06-14 07:37:05 UTC
Created attachment 10269 [details] [review]
[SIGNED-OFF] Bug 8183 - acqui/parcels.pl plack scoping

It fixes the bug, so I signoff.

But it also works by passing the $template variable to the sub, which seems cleaner to me than using global variables in subs. Why did you choose this solution ? (I'm just curious :-))
Comment 6 Dobrica Pavlinusic 2012-06-14 10:12:41 UTC
I tried to always make smallest possible change to code when introducing plack scoping. Since other patches for plack use global scoping, I opted to do it consistently instead of changing method signature.
Comment 7 Ian Walls 2012-06-15 17:11:41 UTC
Plack scoping only, safe for CGI environments, marking Passed QA.
Comment 8 Jared Camins-Esakov 2012-12-31 01:11:25 UTC
There have been no further reports of problems so I am marking this bug resolved.